For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
        • POSTCreate PVC voice
        • POSTUpdate PVC voice
        • POSTTrain PVC voice
        • POSTAdd samples to PVC voice
        • POSTUpdate PVC voice sample
        • DELDelete PVC voice sample
        • GETGet PVC voice sample audio
        • GETGet PVC voice sample waveform
        • GETGet PVC speaker separation status
        • POSTStart speaker separation
        • GETGet separated speaker audio
        • POSTRequest PVC manual verification
        • GETGet PVC verification captcha
        • POSTVerify PVC verification captcha
      • GETGet voice
      • DELDelete voice
      • GETList voices
      • POSTEdit voice
      • POSTList similar voices
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIVoicesPVC

Update PVC voice sample

POST
/v1/voices/pvc/:voice_id/samples/:sample_id
POST
/v1/voices/pvc/:voice_id/samples/:sample_id
$curl -X POST https://api.elevenlabs.io/v1/voices/pvc/voice_id/samples/sample_id \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "voice_id": "b38kUX8pkfYO2kHyqfFy"
3}

Update a PVC voice sample - apply noise removal, select speaker, change trim times or file name.

Was this page helpful?
Previous

Delete PVC voice sample

Next
Built with

Path parameters

voice_idstringRequired

Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices.

sample_idstringRequired
Sample ID to be used

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
remove_background_noisebooleanOptionalDefaults to false
If set will remove background noise for voice samples using our audio isolation model. If the samples do not include background noise, it can make the quality worse.
selected_speaker_idslist of strings or nullOptional
Speaker IDs to be used for PVC training. Make sure you send all the speaker IDs you want to use for PVC training in one request because the last request will override the previous ones.
trim_start_timeinteger or nullOptional
The start time of the audio to be used for PVC training. Time should be in milliseconds
trim_end_timeinteger or nullOptional
The end time of the audio to be used for PVC training. Time should be in milliseconds
file_namestring or nullOptional
The name of the audio file to be used for PVC training.

Response

Successful Response
voice_idstring
The ID of the voice.

Errors

422
Unprocessable Entity Error